<!DOCTYPE kpartgui>
<effect tag="autotrack_rectangle" id="autotrack_rectangle">
	<name>Auto Mask</name>
	<description>Hide a selected zone and follow its movements</description>
	<author>Zachary Drew</author>
	<parameter type="geometry" name="geometry" default="50% 50% 50% 50%" fixed="1" opacity="false">
		<name>Geometry</name>
	</parameter>
	<parameter type="constant" name="motion_est.macroblock_width" max="100" min="1" default="16" suffix="pixels">
		<name>Macroblock width</name>
	</parameter>
	<parameter type="constant" name="motion_est.macroblock_height" max="100" min="1" default="16" suffix="pixels">
		<name>Macroblock height</name>
	</parameter>
	<parameter type="constant" name="motion_est.limit_x" max="500" min="1" default="64" suffix="pixels">
		<name>Maximum x distance</name>
	</parameter>
	<parameter type="constant" name="motion_est.limit_y" max="500" min="1" default="64" suffix="pixels">
		<name>Maximum y distance</name>
	</parameter>
	<parameter type="bool" name="motion_est.denoise" default="0">
		<name>Denoise</name>
	</parameter>
	<parameter type="bool" name="debug" default="0">
		<name>Debug</name>
	</parameter>
	<parameter type="bool" name="obscure" default="1">
		<name>Obscure</name>
	</parameter>
    <parameter type="readonly" name="motion_vector_list" value="">
        <name>Tracking data</name>
        <comment>Click to copy to clipboard</comment>
    </parameter>
	<parameter type="filterjob" filtertag="autotrack_rectangle" filterparams="_serialize=1 motion_vector_list=0" consumer="null" consumerparams="all=1 terminate_on_pause=1">
        <name conditional="Reset">Analyse</name>
		<jobparam name="storedata" />
		<jobparam name="projecttreefilter" />
		<jobparam name="key">motion_vector_list</jobparam>
		<jobparam name="finalfilter">autotrack_rectangle</jobparam>
		<jobparam name="displaydataname">Motion vectors</jobparam>
	</parameter>
</effect>
